#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	python3
#-----------------------------------------------------------------------------
Name		:	libbytesize
Version		:	2.3
Release		:	16.2.0.rel%{?dist}
Summary		:	A library for working with sizes in bytes
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/storaged-project/libbytesize

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	pcre2
#-----------------------------------------------------------------------------
%description
The '%{name}' is a C library that facilitates work with sizes in
bytes. Be it parsing the input from users or producing a nice human
eadable representation of a size in bytes this library takes
localization into account. It also provides support for sizes bigger
than MAXUINT64.


#-----------------------------------------------------------------------------
%prep
%setup -q 
#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--without-gtk-doc				\
	--with-%{__python}				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/bscalc
%{_includedir}/bytesize/bs_size.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/bytesize.pc
%{python3_sitelib}/bytesize/__init__.py
%{python3_sitelib}/bytesize/bytesize.py
%{python3_sitelib}/bytesize/__pycache__/*.pyc
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
